<template src="./Search.html"></template>

<script>

import {mapGetters, mapActions} from 'vuex'

import SearchBar from '../../components/bar/SearchBar'
import RecipeItem from '../../components/RecipeItem'
import Title from '../../components/section/Title'

export default {
  name: 'Search',
  components: {
    SearchBar,
    RecipeItem,
    Title
  },



  data: () => ({
    // totalResult: 0
    resultSearchRecipes: []
  }),

  computed: {
    totalResult() {
      return this.resultSearchRecipes.length
    },

    ...mapGetters([
      // 'recipes',
      'searchRecipes',
    ])
  },

  methods: {
    sendKeyword (value) {
      if (value !== '') {
        // this.searchRecipess(value)
        this.resultSearchRecipes = this.searchRecipes(value)
        // console.log(resultSearchRecipes)
      }
    },

    ...mapActions([
      'searchRecipess'
    ]),
  },

  created: function () {
    // this.resultSearchRecipes = this.recipes
  },

}
</script>

<style scope>
  .search{
    background-color: #FAFAFA;
    height: 100%;
  }
</style>
